org.wildfly.swarm.config.elytron

## Class LdapRealm<T extends LdapRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.LdapRealm<T>

-     public class LdapRealm<T extends LdapRealm<T>>
      extends Object

  A security realm definition backed by LDAP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `allowBlankPassword()` Does this realm support blank password direct verification? Blank password attempt will be rejected otherwise.
    `T` | `allowBlankPassword(Boolean value)` Does this realm support blank password direct verification? Blank password attempt will be rejected otherwise.
    `String` | `dirContext()` The configuration to connect to a LDAP server.
    `T` | `dirContext(String value)` The configuration to connect to a LDAP server.
    `Boolean` | `directVerification()` Does this realm support verification of credentials by directly connecting to LDAP as the account being authenticated?
    `T` | `directVerification(Boolean value)` Does this realm support verification of credentials by directly connecting to LDAP as the account being authenticated?
    `String` | `getKey()`
    `Map` | `identityMapping()` The configuration options that define how principals are mapped to their corresponding entries in the underlying LDAP server.
    `T` | `identityMapping(Map value)` The configuration options that define how principals are mapped to their corresponding entries in the underlying LDAP server.
    `T` | `identityMapping(String key, Object value)` The configuration options that define how principals are mapped to their corresponding entries in the underlying LDAP server.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LdapRealm

          public LdapRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### allowBlankPassword

          public Boolean allowBlankPassword()

      Does this realm support blank password direct verification? Blank password attempt will be rejected otherwise.

    - #### allowBlankPassword

          public T allowBlankPassword(Boolean value)

      Does this realm support blank password direct verification? Blank password attempt will be rejected otherwise.

    - #### dirContext

          public String dirContext()

      The configuration to connect to a LDAP server.

    - #### dirContext

          public T dirContext(String value)

      The configuration to connect to a LDAP server.

    - #### directVerification

          public Boolean directVerification()

      Does this realm support verification of credentials by directly connecting to LDAP as the account being authenticated?

    - #### directVerification

          public T directVerification(Boolean value)

      Does this realm support verification of credentials by directly connecting to LDAP as the account being authenticated?

    - #### identityMapping

          public Map identityMapping()

      The configuration options that define how principals are mapped to their corresponding entries in the underlying LDAP server.

    - #### identityMapping

          public T identityMapping(Map value)

      The configuration options that define how principals are mapped to their corresponding entries in the underlying LDAP server.

    - #### identityMapping

          public T identityMapping(String key,
                                   Object value)

      The configuration options that define how principals are mapped to their corresponding entries in the underlying LDAP server.

Copyright © 2018 JBoss by Red Hat. All rights reserved.